FileControllerUndoCheckOut Method (Guid, NullableGuid) |
POST /File/UndoCheckOut
Discards the changes to the checked out files with the specified IDs, and cancels the check out.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("UndoCheckOut")]
public IActionResult UndoCheckOut(
[FromBodyAttribute] Guid[] fileIds,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("UndoCheckOut")>
Public Function UndoCheckOut (
<FromBodyAttribute> fileIds As Guid(),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"UndoCheckOut")]
IActionResult^ UndoCheckOut(
[FromBodyAttribute] array<Guid>^ fileIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("UndoCheckOut")>]
member UndoCheckOut :
[<FromBodyAttribute>] fileIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- fileIds
- Type: SystemGuid
The IDs of the files on which to perform the operation. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
UndoCheckOutResultData, or a status code indicating the reason for failure.
See Also